#weather {
margin-bottom: 3em;
margin-left: 4%;
margin-right: 4%;
padding-top: 3.85em;
}

#weather .meta .pagetitle {
  font-weight: bold;
  text-transform: uppercase;
  color: #f40f97;
  font-size: 1.4em;
  margin-bottom: 0.5em;
}

#weather .meta .maintitle {
  font-size: 2.8em;
  font-weight: bold;
  line-height: 1.1em;
  margin-top: 0;
  -moz-hyphens: manual;
  -webkit-hyphens: manual;
  -ms-hyphens: manual;
  -o-hyphens: manual;
  hyphens: manual;
  margin-bottom: 1em;
  display: inline-block;
}

#weather .meta .location-button {
  max-width: 32%;
  display: inline-flex;
  font-size: 1.8em;
  float: right;
  width: auto;
}

#weather .main .temperature {
  text-align: center;
}

#weather .main .degrees {
  font-size: 1.4em;
  display: block;
}

#weather .main .temperature .icon {
  font-size: 10em;
  vertical-align: middle;
}

#weather .main .temperature .icon img {
  width: 1.25em;
}

#weather .main .left, #weather .forecast .left {
  width: 50%;
  display: inline-block;
  float: left;
}

#weather .main .right, #weather .forecast .right {
  width: 50%;
  display: inline-block;
  float: right;
}

#weather .day-tag {
  font-size: 1.4em;
  text-transform: uppercase;
  font-weight: bold;
  padding: 0.15em 1.25em 0.15em 0.77em;
  background-image: url(/media/img/main/icons/icon_fold.png);
  background-position: top right;
  background-repeat: no-repeat;
  background-size: 1.50em 1.50em;
  box-shadow: none !important;
  -webkit-clip-path: polygon(0 0, calc(100% - (1.60em / 2)) 0, 100% calc(1.60em / 2), 100% 100%, 0 100%);
  clip-path: polygon(0 0, calc(100% - (1.60em / 2)) 0, 100% calc(1.60em / 2), 100% 100%, 0 100%);
  border-color: #f40f97 !important;
  background-color: #f40f97 !important;
  color: #ffffff;
  display: inline-block;
  margin-bottom: 1em;
}

#weather .lead {
  font-size: 2.8em;
  font-family: 'FuturaBT';
  color: #ffffff;
  text-align: center;
  transform: rotate(-5.5deg);
  margin: 0.5em 0 1em;
}

#weather .lead span {
  box-shadow: 0 0 0 5px #000;
  background-color: #000;
  line-height: 1.5;
  text-transform: uppercase;
  padding: 1px 2px 0 1px;
}

#weather .daily, #weather .forecast {
  margin-bottom: 5em;
}

#weather .daily .detail, #weather .forecast .detail {
  padding: 0.25em 0;
}

#weather .daily .detail .time, #weather .forecast .detail .day {
  width: 20%;
}

#weather .daily .detail .icon,
#weather .forecast .detail .icon  {
  font-size: 2.5em;
  vertical-align: middle;
  text-align: center;
}
#weather .daily .detail .icon, #weather .forecast .detail .icon {
  width: 15%;
}

#weather .daily .detail .temperature, #weather .forecast .detail .temperature {
 width: 15%;
}

#weather .forecast .detail .description,
#weather .daily .detail .description {
  /* max-width: 40%; */
  max-width: 30%;
  -moz-hyphens: auto;
  -o-hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
  vertical-align: middle;
}

#weather .weather-information {
  display: block;
}

#weather .weather-information .detail span,
#weather .weather-information .detail i {
  display: inline-block;
}

#weather .forecast {
  float: left;
  width: 100%;
}

#weather .weather-information .forecast .detail, #weather .weather-information .daily .detail {
  font-size: 1.4em;
}

#weather .weather-information .detail .time,
#weather .forecast .detail .day {
  font-weight: bold;
}

#weather input[type="text"] {
  padding: 0em 0.75em;
  line-height: 2.2857em;
  border: none;
  color: #222222;
  background-color: #eeeeee;
  -khtml-appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  box-sizing: border-box;
  display: inline-block;
  margin: 0;
  vertical-align: top;
  font-size: 1.8em;
  margin-right: 0.2em;
  width: 67%;
}

#weather .meta .mobile-form-opener {
  display: none;
}

#weather form {
  width: 40%;
  display: inline-block;
  vertical-align: middle;
  float: right;
  text-align: right;
  position: relative;
}

#weather form ul.location-autocomplete {
  display: none;
  border-top: 1px solid #ccc;
  font-size: 1.8em;
  position: absolute;
  text-align: left;
  width: 67%;
  right: 32.75%;
}

#weather form ul.location-autocomplete li {
  border-bottom: .5px solid #e4e4e4;
  background-color: #eeeeee;
  cursor: pointer;
  line-height: 2em;
  padding: 0em 0.75em;
}

#weather form ul.location-autocomplete li:hover {
  background-color: #e4e4e4;
}

#weather .error {
  font-size: 1.4em;
  padding: 2em 0;
}

#weather ul .no-result {
  color: #999999;
}

#weather form ul.location-autocomplete li.no-result:hover {
  background-color: #eeeeee;
  cursor: default;
}

#weather .location-autocomplete {
  display: none;
}

#weather .location-change-mobile {
  display: none;
}

#weather .weather-source {
  display: inline-block;
  width: 100%;
  text-align: center;
  line-height: 1em;
  font-size: 1.2em;
  margin-top: 2.8em;
}

#weather .weather-source a {
  vertical-align: top;
  display: block;
}

#weather .weather-source img {
  max-height: 2.4em;
  width: auto;
}

@media screen and (max-width: 591px) {
  #weather .meta .maintitle {
    font-size: 4em;
    max-width: 60%;
  }

  #weather .day-tag {
    padding: 0 1.25em 0 0.77em;
  }

  #weather .day-tag {
    font-size: 2em;
  }

  #weather .weather-information .forecast .detail, #weather .weather-information .daily .detail {
    font-size: 2.2857em;
  }

  #weather .lead {
    font-size: 4em;
    margin: 0em 0 1em;
  }

  #weather .main .degrees {
    font-size: 2em;
    display: inline;
  }

  #weather .meta .pagetitle {
    font-size: 1.725em;
  }

  #weather .daily .detail .time, #weather .forecast .detail .day {
    width: 35%;
  }

  #weather .daily .detail .icon, #weather .forecast .detail .icon {
    width: 10%;
    font-size: 2em;
  }

  #weather .daily .detail .temperature, #weather .forecast .detail .temperature {
    width: 25%;
   text-align: center;
  }

  #weather .daily .detail .temperature > span:not(.hyphen),
  #weather .forecast .detail .temperature > span:not(.hyphen) {
    width: 40%;
    display: inline-block;
  }

  #weather .main .left, #weather .main .right,
  #weather .forecast .left,
  #weather .forecast .right {
    width: 100%;
  }

  #weather .meta .location-button {
    font-size: 2em;
    max-width: 100%;
  }

  #weather .daily .detail, #weather .forecast .detail {
    padding: 0.55em 0;
  }

  #weather .forecast .detail .description {
    max-width: 30%;
  }

  #weather .error {
    font-size: 2.2857em;
  }

  #weather .daily .detail .icon  img, #weather .forecast .detail .icon  img {
    max-width: 30px;
  }

  #weather .weather-information .temperature > .icon img {
    width: 1.25em;
  }

  #weather .meta > form {
    display: none;
  }

  #weather .meta .mobile-form-opener {
    display: inline-block;
    float: right;
    width: auto;
    /* line-height: 50px; */
    font-size: 2.2857em;
  }

  #weather  form {
    width: 100%;
    margin-bottom: 2em;
  }

  #weather form input[type="submit"],
  #weather form input[type="text"]{
    float: left;
    font-size: 2.2857em;
    width: 100%;
    line-height: 2.2857em;
  }

  #weather form ul.location-autocomplete {
    float: left;
    z-index: 99;
    top: 36px;
    width: 100%;
    right: auto;
    font-size: 2.2857em;
  }

  #weather .weather-source {
    font-size: 1.8em;
  }
}
@media screen and (max-width: 975px) {
#weather .day-tag span{
    font-weight: bold;
    text-transform: uppercase;
    padding-top: 10px;
    line-height: 1.62em;
    margin-bottom: -0.29em;
  }
}

